package com.ozs.stateSecrets.utils;



public class Sm2KeyPair {
    private byte[] priKey;
    private byte[] pubKey;
    public Sm2KeyPair(byte[] priKey, byte[] pubKey){
        this.priKey = priKey;
        this.pubKey = pubKey;
    }

    public byte[] getPriKey() {
        return this.priKey;
    }

    public void setPriKey(byte[] priKey) {
        this.priKey = priKey;
    }

    public byte[] getPubKey() {
        return this.pubKey;
    }

    public void setPubKey(byte[] pubKey) {
        this.pubKey = pubKey;
    }

    public String getPriKeyStr(){
        return Util.getHexString(this.priKey);
    }
    public String getPubKeyStr() {
        return Util.getHexString(this.pubKey);
    }

    @Override
    public String toString() {
        return "Sm2KeyPair{" +
                "priKey=" + this.getPriKeyStr() +
                ", pubKey=" + this.getPubKeyStr() +
                '}';
    }
}
